package com.ruoyi.system.entity;

import com.ruoyi.common.core.domain.BaseEntity;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;
import java.util.TreeMap;

/**
 * @author hanzihang
 * @date 2023/7/19 4:05 PM
 */
public class CommonEntity extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 基本参数map
     */
    private Map<String, Object> formMap;

    /**
     * 主表参数map
     */
    private Map<String, Object> condition;

    /**
     * 返回前端map
     */
    private Map<String, Object> retMap;

    /**
     * 导入数据Map
     */
    private Map<String, Object> execlMap;


    private MultipartFile file;

    public CommonEntity() {
    }

    @Override
    public String toString() {
        return "CommonEntity{" +
                "formMap=" + formMap +
                ", condition=" + condition +
                ", retMap=" + retMap +
                ", execlMap=" + execlMap +
                ", file=" + file +
                '}';
    }

    public CommonEntity(Map<String, Object> formMap, Map<String, Object> condition, Map<String, Object> retMap, Map<String, Object> execlMap, MultipartFile file) {
        this.formMap = formMap;
        this.condition = condition;
        this.retMap = retMap;
        this.execlMap = execlMap;
        this.file = file;
    }

    public Map<String, Object> getFormMap() {
        return formMap;
    }

    public void setFormMap(Map<String, Object> formMap) {
        this.formMap = formMap;
    }

    public Map<String, Object> getCondition() {
        return condition;
    }

    public void setCondition(Map<String, Object> condition) {
        this.condition = condition;
    }

    public Map<String, Object> getRetMap() {
        return retMap;
    }

    public void setRetMap(Map<String, Object> retMap) {
        this.retMap = retMap;
    }

    public Map<String, Object> getExeclMap() {
        return execlMap;
    }

    public void setExeclMap(Map<String, Object> execlMap) {
        this.execlMap = execlMap;
    }

    public MultipartFile getFile() {
        return file;
    }

    public void setFile(MultipartFile file) {
        this.file = file;
    }
}